package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_nurse_config_option")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class NurseConfigOptionDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * null
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "null", required = false)
    private Long updateTime;
    /**
     * null
     */
    @Column(name = "sync_time")
    @ApiModelProperty(value = "null", required = false)
    private Long syncTime;
    /**
     * 为空时为全医院通用护理项
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "为空时为全医院通用护理项", required = false)
    private Integer partId;
    /**
     * HIS系统数据KEY
     */
    @Column(name = "his_keyval")
    @ApiModelProperty(value = "HIS系统数据KEY", required = false)
    private String hisKeyval;
    /**
     * null
     */
    @Column(name = "his_ncfg_keyval")
    @ApiModelProperty(value = "null", required = false)
    private String hisNcfgKeyval;
    /**
     * HIS系统科室KEY
     */
    @Column(name = "his_part_keyval")
    @ApiModelProperty(value = "HIS系统科室KEY", required = false)
    private String hisPartKeyval;
    /**
     * 护理项名称
     */
    @Column(name = "option_name")
    @ApiModelProperty(value = "护理项名称", required = false)
    private String optionName;
    /**
     * 护理项显示的颜色，RGB格式
     */
    @Column(name = "color_rgb")
    @ApiModelProperty(value = "护理项显示的颜色，RGB格式", required = false)
    private String colorRgb;
    /**
     * 手动修改过的不进行同步
     */
    @Column(name = "modified")
    @ApiModelProperty(value = "手动修改过的不进行同步", required = false)
    private String modified;
    /**
     * null
     */
    @Column(name = "ncfg_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer ncfgId;
    /**
     * null
     */
    @Column(name = "type")
    @ApiModelProperty(value = "null", required = false)
    private String type;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }


    public Long getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Long syncTime) {
        this.syncTime = syncTime;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public String getHisKeyval() {
        return hisKeyval;
    }

    public void setHisKeyval(String hisKeyval) {
        this.hisKeyval = hisKeyval;
    }


    public String getHisNcfgKeyval() {
        return hisNcfgKeyval;
    }

    public void setHisNcfgKeyval(String hisNcfgKeyval) {
        this.hisNcfgKeyval = hisNcfgKeyval;
    }


    public String getHisPartKeyval() {
        return hisPartKeyval;
    }

    public void setHisPartKeyval(String hisPartKeyval) {
        this.hisPartKeyval = hisPartKeyval;
    }


    public String getOptionName() {
        return optionName;
    }

    public void setOptionName(String optionName) {
        this.optionName = optionName;
    }


    public String getColorRgb() {
        return colorRgb;
    }

    public void setColorRgb(String colorRgb) {
        this.colorRgb = colorRgb;
    }


    public String getModified() {
        return modified;
    }

    public void setModified(String modified) {
        this.modified = modified;
    }


    public Integer getNcfgId() {
        return ncfgId;
    }

    public void setNcfgId(Integer ncfgId) {
        this.ncfgId = ncfgId;
    }


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

}
